petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexComputeGeometryFEM

Precompute cell geometry for the entire mesh

### Synopsis

    #include "petscdmplex.h"
    #include "petscfe.h"
    PetscErrorCode DMPlexComputeGeometryFEM(DM dm, Vec *cellgeom)

Collective on dm

### Input Parameter

dm -The DMPlex

### Output Parameter

cellgeom -A vector with the cell geometry data for each cell

### Level

beginner

### Location

src/dm/impls/plex/plexgeometry.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages